#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=6.0', 'requests>=2.19.1']

setup_requirements = [ ]

test_requirements = [ ]

setup(
    author="@iMerica",
    author_email='imerica@pm.me',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    description="Python Cliant for the LoadLab REST API.",
    entry_points={
        'console_scripts': [
            'loadlab=loadlab.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='loadlab',
    name='loadlab',
    packages=find_packages(include=['loadlab']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/@iMerica/loadlab',
    version='0.1.0',
    zip_safe=False,
)
